Package org.jbpm.runtime.manager.impl.migration

## Class MigrationReport

- java.lang.Object
- - org.jbpm.runtime.manager.impl.migration.MigrationReport

- All Implemented Interfaces:
    `Serializable`

      public class MigrationReport
      extends Object
      implements Serializable

  Represents complete (might be unfinished in case of an error) process instance migration. It contains all migration entries that correspond to individual operations performed during migration.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MigrationReport​(MigrationSpec migrationSpec)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addEntry​(MigrationEntry.Type type, String message)` |
    `Date` | `getEndDate()` |
    `List<MigrationEntry>` | `getEntries()` |
    `MigrationSpec` | `getMigrationSpec()` |
    `Date` | `getStartDate()` |
    `boolean` | `isSuccessful()` |
    `void` | `setEndDate​(Date endDate)` |
    `void` | `setEntries​(List<MigrationEntry> entries)` |
    `void` | `setMigrationSpec​(MigrationSpec processData)` |
    `void` | `setStartDate​(Date startDate)` |
    `void` | `setSuccessful​(boolean successful)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MigrationReport

          public MigrationReport​(MigrationSpec migrationSpec)

  - ### Method Detail

    - #### getMigrationSpec

          public MigrationSpec getMigrationSpec()

    - #### setMigrationSpec

          public void setMigrationSpec​(MigrationSpec processData)

    - #### isSuccessful

          public boolean isSuccessful()

    - #### setSuccessful

          public void setSuccessful​(boolean successful)

    - #### getStartDate

          public Date getStartDate()

    - #### setStartDate

          public void setStartDate​(Date startDate)

    - #### getEndDate

          public Date getEndDate()

    - #### setEndDate

          public void setEndDate​(Date endDate)

    - #### getEntries

          public List<MigrationEntry> getEntries()

    - #### setEntries

          public void setEntries​(List<MigrationEntry> entries)

    - #### addEntry

          public void addEntry​(MigrationEntry.Type type,
                               String message)
                        throws MigrationException

      Throws:
        `MigrationException`